Bug 43641 - System Fails To Boot After 6.0 => 7.1 Upgrade
Summary: System Fails To Boot After 6.0 => 7.1 Upgrade
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: lilo   
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Doug Ledford
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-06-06 01:08 UTC by Robin Walker
Modified: 2007-04-18 16:33 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 18:48:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Robin Walker 2001-06-06 01:08:35 UTC
Description of Problem:

I upgraded from RH 6.0 to RH 7.1 and chose all the default options, installing the LILO boot record on the MBR, the boot image on what I 
assume to be the boot partition which in my case was /dev/hda7 (the only choice available), and creating a boot disk.  When rebooting, 
immediately after BIOS installation where LILO normally kicks off, the following two lines are displayed:

Error 0x40
boot: linux

These two lines are repeated every 4 seconds, ad infinitum.

I repeated the upgrade with the same results.  I am, however, able to boot into the system using the boot diskette that was created during the 
upgrade process.

How Reproducible:

Try upgrading from 6.0 to 7.1 on similar hardware.  My hardware is an AMD K6-2 450mhz based system.

Steps to Reproduce:
1. Acquire similar hardware and install RH 6.0
2. Upgrade to RH 7.1, using default choices
3. Reboot

Actual Results:


Expected Results:


Additional Information:

Comment 1 Doug Ledford 2001-06-06 15:10:32 UTC
Boot into the system using the boot disk you made, then run the lilo command and
seeif it returns any errors.  If not, that *may* solve your problem (I'm not
sure what the BIOS error code 0x40 means, it could mean a failed read which
would indicate a drive that has a bad sector and re-running lilo to rewrite that
sector might make it work).

Comment 2 Robin Walker 2001-06-08 00:38:29 UTC
Unfortunately, this did not solve the problem.  I booted with the boot diskette and ran the lilo command which had the following output:

Added linux *

Removing the diskette and rebooting produced the same results as initially described.

Comment 3 Michael Schwendt 2001-06-15 19:19:02 UTC
From LILO's docs:

0x40   "Seek failure". This might be a media problem. Try booting again.



Comment 4 Robin Walker 2001-06-21 00:32:35 UTC
I tried booting again.  In fact I've tried rebooting several times.  The same "0x40" error message appears every time.  I also tried performing the upgrade 
again.

Comment 5 Jeremy Katz 2002-06-04 06:31:46 UTC
It sounds like a failure on the first sector of the drive for me... have you
continued to have problems with newer releases?

Comment 6 Jeremy Katz 2002-06-29 21:48:51 UTC
Closing due to inactivity.  If you have further information, please reopen this bug.

Comment 7 Red Hat Bugzilla 2006-02-21 18:48:00 UTC
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.


Note You need to log in before you can comment on or make changes to this bug.